> ## Documentation Index
> Fetch the complete documentation index at: https://exsited.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Add a note to a purchase credit note

> Attaches a note, with an optional file, to a purchase credit note.

Adds a note to the purchase credit note. Send a multipart form with the text as the `note` field and, optionally, a file to attach. Address the credit note by its `pcn_` id. It needs the permission to create purchase credit note notes.

> [!WARNING]
>
> **This call needs the permission to create purchase credit note notes.** Without it the call returns `403`.

> [!NOTE]
>
> The SDK samples get their client from credentials your app registers once when it starts, as shown in [Authentication](https://exsited.mintlify.site/authentication.md#set-up-a-client). To try the call here, click **Try it**, set `host` to your Exsited API host name and paste an access token from [Get an access token](https://exsited.mintlify.site/api-reference/authentication/get-an-access-token.md).


## OpenAPI

````yaml POST /purchase_credit_notes/{purchase_credit_note_id}/notes
openapi: 3.1.0
info:
  title: Exsited API
  version: v4
servers:
  - url: https://{host}/api/v4
    variables:
      host:
        default: your-api-host.example.com
        description: Your Exsited API host name, without https://.
security:
  - bearerAuth: []
tags:
  - name: Authentication
  - name: Accounts
  - name: Account emails
  - name: Account groups
  - name: Communications
  - name: Communication profiles
  - name: Orders
  - name: Quote orders
  - name: Express
  - name: Usages
  - name: Sales reps
  - name: Gift certificates
  - name: Invoices
  - name: Pro-forma invoices
  - name: Payments
  - name: Refunds
  - name: Credit notes
  - name: Credit note applications
  - name: Reconciliations
  - name: Items
  - name: Inventory adjustments
  - name: Units of measurement
  - name: Zones
  - name: Shipping packages
  - name: Shipping rules
  - name: Fulfillment profiles
  - name: Fulfillment terms
  - name: Item fulfillments
  - name: Item receipts
  - name: Bookings
  - name: Rental assets
  - name: Return merchandise authorisations
  - name: Purchase orders
  - name: Purchase invoices
  - name: Purchase payments
  - name: Purchase refunds
  - name: Purchase credit notes
  - name: Purchase credit note applications
  - name: Purchase express
  - name: Return vendor authorizations
  - name: ABA files
  - name: Receive terms
  - name: Labours
  - name: Tasks
  - name: Timesheets
  - name: Milestones
  - name: Employees
  - name: Departments
  - name: Designations
  - name: Teams
  - name: Time periods
  - name: Workflows
  - name: Workflow settings
  - name: Events
  - name: Custom events
  - name: System events
  - name: Approvals
  - name: Approval profiles
  - name: Approval user groups
  - name: Alerts
  - name: Alert responsibility settings
  - name: Alert responsibilities
  - name: Action scripts
  - name: Note groups
  - name: Note attachments
  - name: Instance settings
  - name: Accounting codes
  - name: Additional codes
  - name: Billing periods
  - name: Charging periods
  - name: Pricing periods
  - name: Invoice terms
  - name: Days of the month
  - name: Countries
  - name: Salutations
  - name: Document templates
  - name: Email templates
  - name: Roles
  - name: Operators
  - name: Operator groups
  - name: User settings
  - name: Custom attributes
  - name: Custom components
  - name: Custom features
  - name: Custom fields
  - name: Custom forms
  - name: Attribute attachments
  - name: Portal
  - name: Integration connections
  - name: External databases
  - name: Reports
  - name: Applications
  - name: Organisation
  - name: Child organisations
  - name: Webhooks
paths:
  /purchase_credit_notes/{purchase_credit_note_id}/notes:
    post:
      tags:
        - Purchase credit notes
      summary: Add a note to a purchase credit note
      description: >-
        Adds a note to the purchase credit note. Send a multipart form with the
        text as the `note` field and, optionally, a file to attach. Address the
        credit note by its `pcn_` id. It needs the permission to create purchase
        credit note notes.
      operationId: purchase_credit_notes_create_purchase_credit_note_note
      parameters:
        - name: purchase_credit_note_id
          in: path
          required: true
          description: The purchase credit note's `pcn_` id. A code returns `400`.
          schema:
            type: string
      requestBody:
        required: true
        content:
          multipart/form-data:
            schema:
              type: object
              required:
                - note
              properties:
                note:
                  type: string
                  description: The note text. HTML is accepted.
                file:
                  type: string
                  format: binary
                  description: An optional file to attach to the note.
      responses:
        '201':
          description: The note is created.
        '400':
          description: The credit note is addressed by its code rather than its `pcn_` id.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '403':
          description: >-
            The client lacks the permission to create purchase credit note
            notes.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      x-codeSamples:
        - lang: bash
          label: cURL
          source: >-
            curl -X POST
            "$EXSITED_BASE_URL/api/v4/purchase_credit_notes/pcn_5e4d3c2b1a0f4e9d8c7b6a5f4e3d2c1b/notes"
            \
              -H "Authorization: Bearer $ACCESS_TOKEN" \
              --form-string 'note=<p>Credit agreed with supplier.</p>' \
              -F "file=@delivery-note.pdf"
        - lang: python
          label: Python
          source: >
            from exsited import build_client


            client = build_client()


            response =
            client.purchase_credit_notes.create_purchase_credit_note_note(
                "pcn_5e4d3c2b1a0f4e9d8c7b6a5f4e3d2c1b",
                "<p>Credit agreed with supplier.</p>",
                files={"file": open("delivery-note.pdf", "rb")},
            )

            print(response.data)
        - lang: javascript
          label: JavaScript
          source: >
            import {readFileSync} from 'node:fs';

            import {buildClient} from 'exsited';


            const client = await buildClient();


            const response = await
            client.purchaseCreditNotes.createPurchaseCreditNoteNote(
                'pcn_5e4d3c2b1a0f4e9d8c7b6a5f4e3d2c1b',
                '<p>Credit agreed with supplier.</p>',
                {files: {file: ['delivery-note.pdf', readFileSync('delivery-note.pdf')]}},
            );

            console.log(response.data);
        - lang: php
          label: PHP
          source: >
            use Exsited\Client\ClientRegistry;


            $client = ClientRegistry::buildClient();


            $response =
            $client->purchaseCreditNotes->createPurchaseCreditNoteNote(
                'pcn_5e4d3c2b1a0f4e9d8c7b6a5f4e3d2c1b',
                '<p>Credit agreed with supplier.</p>',
                ['file' => ['delivery-note.pdf', fopen('delivery-note.pdf', 'r')]],
            );

            print_r($response->data);
        - lang: java
          label: Java
          source: >
            import com.exsited.Dto;

            import com.exsited.client.ApiResponse;

            import com.exsited.client.ClientRegistry;

            import com.exsited.client.ExsitedClient;

            import com.exsited.client.RequestOptions;

            import java.nio.file.Path;

            import java.util.Map;


            ExsitedClient client = ClientRegistry.buildClient();


            ApiResponse<Dto> response =
            client.purchaseCreditNotes().createPurchaseCreditNoteNote(
                    "pcn_5e4d3c2b1a0f4e9d8c7b6a5f4e3d2c1b",
                    "<p>Credit agreed with supplier.</p>",
                    Map.of("file", Path.of("delivery-note.pdf")),
                    RequestOptions.none());
            System.out.println(response.getMap());
        - lang: csharp
          label: .NET
          source: >
            using Exsited.Client;


            await using var client = ExsitedClient.BuildClient();


            var response = await
            client.PurchaseCreditNotes.CreatePurchaseCreditNoteNoteAsync(
                "pcn_5e4d3c2b1a0f4e9d8c7b6a5f4e3d2c1b",
                "<p>Credit agreed with supplier.</p>",
                new Dictionary<string, object?> { ["file"] = new object?[] { "delivery-note.pdf", File.ReadAllBytes("delivery-note.pdf") } });

            Console.WriteLine(response.Json);
        - lang: dart
          label: Dart
          source: |
            import 'dart:io';

            import 'package:exsited/exsited.dart';

            final client = buildClient();

            final response = await client.purchaseCreditNotes
                .createPurchaseCreditNoteNote(
                  'pcn_5e4d3c2b1a0f4e9d8c7b6a5f4e3d2c1b',
                  '<p>Credit agreed with supplier.</p>',
                  files: {
                    'file': [
                      'delivery-note.pdf',
                      File('delivery-note.pdf').readAsBytesSync(),
                    ],
                  },
                );
            print(response.map);
        - lang: go
          label: Go
          source: "import (\n\t\"context\"\n\t\"fmt\"\n\t\"log\"\n\t\"os\"\n\n\texsited \"github.com/exsited/exsited-sdk-go/v4\"\n)\n\nclient, err := exsited.BuildClient(nil)\nif err != nil {\n\tlog.Fatal(err)\n}\ndefer client.Close()\n\nfile, err := os.ReadFile(\"delivery-note.pdf\")\nif err != nil {\n\tlog.Fatal(err)\n}\nresponse, err := client.PurchaseCreditNotes().CreatePurchaseCreditNoteNote(context.Background(), \"pcn_5e4d3c2b1a0f4e9d8c7b6a5f4e3d2c1b\", \"<p>Credit agreed with supplier.</p>\", map[string]any{\"file\": []any{\"delivery-note.pdf\", file}}, nil)\nif err != nil {\n\tlog.Fatal(err)\n}\nfmt.Println(response.Map)\n"
components:
  schemas:
    Error:
      type: object
      description: Every failed call returns this body.
      properties:
        object:
          type: string
          description: Always `error`.
        request_id:
          type: string
          description: Quote this to support.
        status:
          type: integer
          description: The HTTP status.
        code:
          type: string
          description: What went wrong, such as `validation_error`.
        message:
          type: string
          description: A short description of the problem.
        doc_url:
          type: string
          description: A link to more about this error.
        errors:
          type: array
          description: One entry per field that failed.
          items:
            type: object
            properties:
              field:
                type: string
              code:
                type: string
              message:
                type: string
              doc_url:
                type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        An access token from `POST /api/v4/oauth2/token`. The SDKs get and renew
        it for you.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.